import { MDCDialog } from '@material/dialog';
import { EventEmitter } from '../../stencil.core';
export declare class Dialog {
    host: HTMLMaterialsDialogElement;
    dialogEl: any;
    bodyElement: HTMLElement;
    mdcDialog: MDCDialog;
    accept: EventEmitter;
    cancel: EventEmitter;
    /**
     * @deprecated since 1.1.0 : dialog scroll automatically
     */
    scrollable: boolean;
    items: string[];
    width: string;
    height: string;
    dialogTitle: string;
    acceptButton: string;
    cancelButton: string;
    disableAcceptButton: boolean;
    closeButton: boolean;
    componentDidLoad(): void;
    /**
     * @deprecated since 1.1.0 : use toggle() instead
     * Open/Close dialog.
     */
    show(): Promise<void>;
    toggle(): Promise<void>;
    isOpen(): Promise<boolean>;
    open(): Promise<void>;
    close(): Promise<void>;
    getSectionClass(): {
        'mdc-dialog__content': boolean;
    };
    render(): any;
}
